
package cluedo.info;


/**
 * Instances of AccusationInfo are used to indicate an accusation.
 * Instances of this class are sent by the server to all players in the
 * session. Furthermore the server sends a
 * {@link cluedo.info.WinnerInfo  WinnerInfo} to the team mates.
 *
 * @author  PI4
 * @version $Id: Accusationinfo.java,v 1.1.1.1 2001/05/14 07:47:15 gk Exp $d: Accusationinfo.java,v 1.1.1.1 2001/04/24 11:00:12 gk Exp $
 * @see     cluedo.CluedoPDU
 * @see     AccusationRequestInfo
 * @see     WinnerInfo
 */
public class AccusationInfo extends WhoWhereHowInfo
{
    /** The playerId of the player who indicates the accusation. */
    public int      accuserId;

    public AccusationInfo(int accurserId, AccusationRequestInfo ari)
    {
	super(ari.who, ari.where, ari.how);
	this.accuserId= accuserId;
    }

    public AccusationInfo(int accuserId, CardInfo who, CardInfo where, CardInfo how)
    {
	super(who, where, how);
	this.accuserId= accuserId;
    }

}
