
package cluedo.info;

/**
 * Instances of DiceInfo are used to indicate the dice of a player.  A
 * Player may request a dice by transmitting a DiceRequestInfo to the server.
 * The server answers the request with a Diceinfo.
 *
 * @author  PI4
 * @version $Id: Diceinfo.java,v 1.1.1.1 2001/05/14 07:47:15 gk Exp $d: Diceinfo.java,v 1.1.1.1 2001/04/24 11:00:12 gk Exp $
 * @see     cluedo.CluedoPDU
 * @see     DiceRequestInfo
 */
public class DiceInfo extends CluedoInfo
{
    /** Id of the player whose dice is transmitted in this object */
    public int playerId;

    /** the dice (2-12) */
    public int dice;

    public DiceInfo(int playerId, int dice)
    {
	this.playerId= playerId;
	this.dice= dice;
    }
}
