
package cluedo.info;


/**
 * ErrorInfo objects are transmitted by the server or by clients.
 *
 * @author  PI4
 * @version $Id: Errorinfo.java,v 1.2 2001/05/14 08:59:23 gk Exp $d: Errorinfo.java,v 1.1.1.1 2001/04/24 11:00:12 gk Exp $
 * @see     cluedo.CluedoPDU
 */
public class ErrorInfo extends CluedoInfo
{
    public static final int OK                         =  0;
    public static final int CONNECTION_REFUSED         = -1;
    public static final int PLAYERNAME_EXISTS          = -2;
    public static final int SESSIONNAME_EXISTS         = -3;
    public static final int ALREADY_IN_SESSION         = -4;
    public static final int INVALID_SENDER_ID          = -5;
    public static final int INVALID_SESSION_ID         = -6;
    public static final int NOT_DIRECTOR               = -7;
    public static final int SESSION_ALREADY_CLOSED     = -8;
    public static final int INVALID_PLAYER_ID          = -9;
    public static final int NOT_ACTIVE_PLAYER          = -10;
    public static final int INVALID_MOVE               = -11;
    public static final int INVALID_CARD               = -12;
    public static final int UNSPECIFIED                = -13;
    public static final int NO_MOVE_MADE               = -14;

    /** The number of the error */
    public int    errNo;

    /** An explanation of the error. */
    public String errMsg;

    public ErrorInfo(int errNo, String errMsg)
    {
	this.errNo= errNo;
	this.errMsg= errMsg;
    }
}
