
package cluedo.info;


/**
 * Instances of this class are transmitted by the server to all clients
 * in order to announce a new player.  The server transmits this object
 * after the reception of a PlayerAddRequest from a client.  The server
 * additionally sends a PlayerAddConfirmInfo to the client that sent the
 * PlayerAddRequestinfo.
 *
 * @author  PI4
 * @version $Id: PlayerAddedinfo.java,v 1.1.1.1 2001/05/14 07:47:15 gk Exp $d: PlayerAddedinfo.java,v 1.1.1.1 2001/04/24 11:00:12 gk Exp $
 * @see     cluedo.CluedoPDU
 * @see     PlayerAddRequestInfo
 * @see     PlayerAddConfirmInfo
 */
public class PlayerAddedInfo extends PlayerInfo
{

    public PlayerAddedInfo(int playerId, String name)
    {
	super(playerId, name);
    }

    public PlayerAddedInfo(PlayerInfo pi)
    {
	this.playerId   = pi.playerId;
	this.name       = pi.name;
	this.state      = pi.state;
	this.teamId     = pi.teamId;
	this.sessionId  = pi.sessionId;
	this.x          = pi.x;
	this.y          = pi.y;
	this.currentDice= pi.currentDice;
    }
}
