
package cluedo.info;

/**
 * An object of this class describes a player.
 *
 * @author  PI4
 * @version $Id: Playerinfo.java,v 1.1.1.1 2001/05/14 07:47:15 gk Exp $d: Playerinfo.java,v 1.1.1.1 2001/04/24 11:00:12 gk Exp $
 * @see     cluedo.CluedoPDU
 * @see     DrawFinishedInfo
 */
public class PlayerInfo extends CluedoInfo
    // {{{ describes a player
{
    // Attribute

    /** id of the player. */
    public int       playerId;

    /** name of the player. */
    public String    name;

    /** state of the player. Can be either UNKNOWN, DIRECTOR, or TEAMMATE */
    public int       state;

    /**
     * indicates the identity of this player in a session. An example for
     * a role is "Professor Bloom".  The teamId is the index in the
     * {@link SessionInfo#teamMates teamMates} field of the session this
     * client is playing in.
     */
    public int       teamId;

    /** id of the session the player participates */
    public int       sessionId;

    /** position in the play field */
    public int       x,y;

    /** last dice thrown by this player */
    public int       currentDice;

    /** the number of cards this player holds */
    public int       numberOfCards;


    public PlayerInfo()
    {
	this.playerId     = UNKNOWN;
	this.name         = null;
	this.state        = UNKNOWN;
	this.teamId       = UNKNOWN;
	this.sessionId    = UNKNOWN;
	this.x            = UNKNOWN;
	this.y            = UNKNOWN;
	this.currentDice  = UNKNOWN;
	this.numberOfCards= UNKNOWN;
    }

    public PlayerInfo(int playerId, String name)
    {
	this.playerId     = playerId;
	this.name         = name;
	this.state        = UNKNOWN;
	this.teamId       = UNKNOWN;
	this.sessionId    = UNKNOWN;
	this.x            = UNKNOWN;
	this.y            = UNKNOWN;
	this.currentDice  = UNKNOWN;
	this.numberOfCards= UNKNOWN;
    }
}
// }}}

