
package cluedo.info;


/**
 * Sent by a client in order to indicate the next move.  The server will
 * check if the move is legal.  If the move is legal it will broadcast the
 * object to all team mates.  Otherwise an ErrorInfo will be returned.
 *
 * @author  PI4
 * @version $Id: PlayerMovedinfo.java,v 1.1.1.1 2001/05/14 07:47:15 gk Exp $d: PlayerMovedinfo.java,v 1.1.1.1 2001/04/24 11:00:12 gk Exp $
 * @see     cluedo.CluedoPDU
 */
public class PlayerMovedInfo extends CluedoInfo
{
    /** id of the player who makes the move. */
    public int playerId;

    /** new position of the player in the play field */
    public int x, y;

    public PlayerMovedInfo(int playerId, int x, int y)
    {
	this.playerId= playerId;
	this.x= x;
	this.y= y;
    }
}
