
package cluedo.info;



/**
 * Sent by a server to all clients in order to announce a newly created
 * session.  The creation of a new session can be requested by a client
 * using a SessionAddRequestinfo.
 *
 * @author  PI4
 * @version $Id: SessionAddedinfo.java,v 1.1.1.1 2001/05/14 07:47:15 gk Exp $d: SessionAddedinfo.java,v 1.1.1.1 2001/04/24 11:00:12 gk Exp $
 * @see     cluedo.CluedoPDU
 * @see     SessionAddRequestInfo
 */
public class SessionAddedInfo extends SessionInfo
{
    public SessionAddedInfo(int directorId, String sessionName, int sessionId)
    {
	super(directorId, sessionName);
	this.sessionId= sessionId;
    }

    public SessionAddedInfo(SessionInfo si)
    {
	sessionId= si.sessionId;
	sessionName= si.sessionName;
	activePlayerIndex= si.activePlayerIndex;
	directorId= si.directorId;
	teamMates= si.teamMates;
	state= si.state;
    }
}
